From d390bb89714a6c7eba09f9eb29660560e07d35cb Mon Sep 17 00:00:00 2001
From: zoltan-dulac <zoltan.dulac@gmail.com>
Date: Mon, 18 Mar 2013 23:41:13 -0400
Subject: [PATCH] Added force js datepicker example.

---
 shared/js/html5Forms.js        | 2 +-
 tests/html5Forms/dateTime.html | 2 +-
 tests/html5Forms/index.html    | 6 ++++--
 3 files changed, 6 insertions(+), 4 deletions(-)

diff --git a/shared/js/html5Forms.js b/shared/js/html5Forms.js
index 6860570..0417eaa 100644
--- a/shared/js/html5Forms.js
+++ b/shared/js/html5Forms.js
@@ -129,7 +129,7 @@ var html5Forms = new function () {
 							}
 							
 							
-							alert(me.forceJSDatePicker)
+							
 							if (!inputSupport.date || me.forceJSDatePicker) {
 								toLoad = toLoad.concat([  
 										  scriptDir + '../../shared/js/jscalendar-1.0/calendar-win2k-1.css',
diff --git a/tests/html5Forms/dateTime.html b/tests/html5Forms/dateTime.html
index f6e00d8..e54615e 100644
--- a/tests/html5Forms/dateTime.html
+++ b/tests/html5Forms/dateTime.html
@@ -37,7 +37,7 @@
 			require <code>html5Widgets</code>.  If you would like, you can 
 			force <code>html5Widgets</code> to render the calendars even if there
 			is a native <code>date</code> implementation.  Visit 
-			<a href="dateTime-forcePolyfill.html">this 
+			<a href="dateTime-forceJSCalendar.html">this 
 			example to see how it works</a> and why you may want to consider this
 			option.</p>
 			
diff --git a/tests/html5Forms/index.html b/tests/html5Forms/index.html
index d953b68..8464ca9 100644
--- a/tests/html5Forms/index.html
+++ b/tests/html5Forms/index.html
@@ -19,8 +19,10 @@
 					<li><a href="autofocus.html"><code>autofocus</code> example</a></li>
 					<li><a href="placeholder.html"><code>placeholder</code> example</a></li>
 					<li><a href="range.html"><code>range</code> example</a></li>
-					<li><a href="datetime.html">the various <code>date</code> related widgets</a></li>
-						<li><a href="outputWithOninput.html"><code>output</code> tag with <code>oninput</code> event</a></li>
+					<li><a href="datetime.html">the various <code>date</code> related widgets</a>.  Note that because of the
+						huge difference between WebKit's date-picker implementation, it is possible to 
+						<a href="datetime-forceJSCalendar.html">force the JavaScript date picker instead of the native one</a>.</li>
+					<li><a href="outputWithOninput.html"><code>output</code> tag with <code>oninput</code> event</a></li>
 					<li><a href="color.html"><code>color</code> example</a></li>
 					<li><a href="errorMessageStyling.html">Error message styling example.</a></li>
 					<li><a href="validityStyling.html">Styling of the validation state of a form field</a> (i.e. <code>:on_valid</code>, <code>:on_invalid</code>)</li>
